Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockPortletPreferences

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletPreferences

All Implemented Interfaces:
  javax.portlet.PortletPreferences

    public class MockPortletPreferences

extends java.lang.Object
implements javax.portlet.PortletPreferences

Mock implementation of the `PortletPreferences` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Constructor Summary
`MockPortletPreferences()`

Method Summary
`java.util.Map<java.lang.String,java.lang.String[]>` | `getMap()`
`java.util.Enumeration<java.lang.String>` | `getNames()`
`java.lang.String` | `getValue(java.lang.String key, java.lang.String def)`
`java.lang.String[]` | `getValues(java.lang.String key, java.lang.String[] def)`
`boolean` | `isReadOnly(java.lang.String key)`
`void` | `reset(java.lang.String key)`
`void` | `setPreferencesValidator(javax.portlet.PreferencesValidator preferencesValidator)`
`void` | `setReadOnly(java.lang.String key, boolean readOnly)`
`void` | `setValue(java.lang.String key, java.lang.String value)`
`void` | `setValues(java.lang.String key, java.lang.String[] values)`
`void` | `store()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockPortletPreferences

    public MockPortletPreferences()

Method Detail

### setReadOnly

    public void setReadOnly(java.lang.String key,
                            boolean readOnly)

### isReadOnly

    public boolean isReadOnly(java.lang.String key)

  Specified by:
    `isReadOnly` in interface `javax.portlet.PortletPreferences`

### getValue

    public java.lang.String getValue(java.lang.String key,
                                     java.lang.String def)

  Specified by:
    `getValue` in interface `javax.portlet.PortletPreferences`

### getValues

    public java.lang.String[] getValues(java.lang.String key,
                                        java.lang.String[] def)

  Specified by:
    `getValues` in interface `javax.portlet.PortletPreferences`

### setValue

    public void setValue(java.lang.String key,
                         java.lang.String value)
                  throws javax.portlet.ReadOnlyException

  Specified by:
    `setValue` in interface `javax.portlet.PortletPreferences`
  Throws:
    `javax.portlet.ReadOnlyException`

### setValues

    public void setValues(java.lang.String key,
                          java.lang.String[] values)
                   throws javax.portlet.ReadOnlyException

  Specified by:
    `setValues` in interface `javax.portlet.PortletPreferences`
  Throws:
    `javax.portlet.ReadOnlyException`

### getNames

    public java.util.Enumeration<java.lang.String> getNames()

  Specified by:
    `getNames` in interface `javax.portlet.PortletPreferences`

### getMap

    public java.util.Map<java.lang.String,java.lang.String[]> getMap()

  Specified by:
    `getMap` in interface `javax.portlet.PortletPreferences`

### reset

    public void reset(java.lang.String key)
               throws javax.portlet.ReadOnlyException

  Specified by:
    `reset` in interface `javax.portlet.PortletPreferences`
  Throws:
    `javax.portlet.ReadOnlyException`

### setPreferencesValidator

    public void setPreferencesValidator(javax.portlet.PreferencesValidator preferencesValidator)

### store

    public void store()
               throws java.io.IOException,
                      javax.portlet.ValidatorException

  Specified by:
    `store` in interface `javax.portlet.PortletPreferences`
  Throws:
    `java.io.IOException`
    `javax.portlet.ValidatorException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD